IF OBJECT_ID('[Executions_Extended]') IS NOT NULL DROP VIEW [Executions_Extended]
GO

CREATE VIEW [Executions_Extended]
AS

	SELECT
           E.[Execution_Id]
          ,E.[Job_Id]
          ,E.[Server_Id]
          ,S.[Server_Name]
          ,E.[Start_Date]
          ,E.[End_Date]
          ,E.[ExecutionStatus_Code]
          ,E.[ExecutionRunState_Code]
          ,E.[ExecutionMode_Code]
          ,E.[Simulation_Indicator]
          ,E.[DriftDetected_Indicator]
		  ,E.[CanceledOn_Date]
		  ,E.[CanceledBy_User_Name]
          ,J.[Plan_Name]
          ,J.[Raft_Id]
          ,R.[Raft_Name]
          ,J.[Job_Name]
          ,J.[JobTarget_Code]
          ,[Job_Start_Date] = J.[Start_Date]
          ,J.[LastRun_Date]
          ,[Job_Simulation_Indicator] = J.[Simulation_Indicator]
          ,J.[JobState_Code]
		  ,[ManualExecution_Configuration] = E.[Execution_Configuration]
		  ,[ManualExecutionType_Name] = E.[ExecutionType_Name]

	  FROM [Executions] E
           LEFT JOIN [Jobs] J
		          ON J.[Job_Id] = E.[Job_Id]

           LEFT JOIN [Rafts] R
                  ON R.[Raft_Id] = J.[Raft_Id]

           LEFT JOIN [Servers] S
                  ON E.[Server_Id] = S.[Server_Id]
GO
