EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Environments_DeleteEnvironment',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified environment.'
GO


IF OBJECT_ID('[Environments_DeleteEnvironment]') IS NOT NULL DROP PROCEDURE [Environments_DeleteEnvironment]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Environments_DeleteEnvironment]
(
    @Environment_Id INT
)
AS
BEGIN

BEGIN TRY
	BEGIN TRANSACTION

	SET NOCOUNT ON

    DECLARE @ParentId INT

    SELECT @ParentId = [Parent_Environment_Id] FROM [Environments] WHERE [Environment_Id] = @Environment_Id

    UPDATE [Environments]
       SET [Parent_Environment_Id] = @ParentId
     WHERE [Parent_Environment_Id] = @Environment_Id

	DELETE [Environments] WHERE [Environment_Id] = @Environment_Id


	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Environments_DeleteEnvironment] TO [OtterUser_Role]