EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Infrastructure_GetInfrastructure',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'Servers_Extended,Environments_Extended,ServerRoles_Extended,EnvironmentServers,ServerRoleServers,Variables',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the infrastructure; this includes servers, environments, and roles.'
GO

IF OBJECT_ID('[Infrastructure_GetInfrastructure]') IS NOT NULL DROP PROCEDURE [Infrastructure_GetInfrastructure]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Infrastructure_GetInfrastructure]
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [Servers_Extended]

	SELECT *
	  FROM [Environments_Extended]

	SELECT *
	  FROM [ServerRoles_Extended]

	SELECT *
	  FROM [EnvironmentServers]

	SELECT *
	  FROM [ServerRoleServers]

	SELECT *
	  FROM [Variables]
	 WHERE ([Server_Id] IS NOT NULL AND COALESCE([Environment_Id], [ServerRole_Id], [Job_Id]) IS NULL)
	    OR ([Environment_Id] IS NOT NULL AND COALESCE([Server_Id], [ServerRole_Id], [Job_Id]) IS NULL)
		OR ([ServerRole_Id] IS NOT NULL AND COALESCE([Environment_Id], [Server_Id], [Job_Id]) IS NULL)

END
GO

GRANT EXECUTE ON [Infrastructure_GetInfrastructure] TO [OtterUser_Role]
