EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ServerRoles_SearchServerRoles',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ServerRoles_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Searches servers roles in the system.'
GO


IF OBJECT_ID('[ServerRoles_SearchServerRoles]') IS NOT NULL DROP PROCEDURE [ServerRoles_SearchServerRoles]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ServerRoles_SearchServerRoles]
(
    @Environment_Id INT = NULL,
    @ServerConfiguration_Status_Code CHAR(1) = NULL
)
AS
BEGIN

    SET NOCOUNT ON

    SELECT * 
      FROM [ServerRoles_Extended] SR
     WHERE (@ServerConfiguration_Status_Code IS NULL OR [Aggregate_ServerConfiguration_Status_Code] = @ServerConfiguration_Status_Code)
       AND (@Environment_Id IS NULL OR EXISTS(SELECT * 
                                                FROM [ServerRolesEnvironments_Merged] SRE
                                               WHERE [Environment_Id] = @Environment_Id
                                                 AND SR.[ServerRole_Id] = SRE.ServerRole_Id))
    ORDER BY SR.[ServerRole_Name]

    

END
GO

GRANT EXECUTE ON [ServerRoles_SearchServerRoles] TO [OtterUser_Role]